Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.tf
Class QPropertyEditor

    java.lang.Object
      |
      +--com.jxml.quick.tf.QPropertyEditor

All Implemented Interfaces:
  QTargetFactory

public class QPropertyEditor
extends Object
implements QTargetFactory

Field Summary
`protected PropertyEditor` | `pe`
`protected Class` | `targetClass`
`ArrayList` | `values`

Constructor Summary
`QPropertyEditor()`
`QPropertyEditor(String targetClass, String pe)`

Method Summary
`void` | `add(Object object, String name, String text, QAccess access, Object parent, QTargetFactory parentFactory, QContext context)`
`Object` | `create(QContext context)`
`Field[]` | `getFields(QContext context)`
`String` | `getName(Object object)`
`PropertyDescriptor[]` | `getPropertyDescriptors(QContext context)`
`String` | `getPropertyEditorClassName()`
`String` | `getTargetClassName()`
`String` | `getText(Object object, QContext context)`
`boolean` | `isInstance(Object object, QContext context)`
`protected void` | `PE(QContext context)`
`void` | `setPropertyEditorClassName(String peClassName, QContext context)`
`void` | `setTargetClassName(String targetClassName, QContext context)`
`void` | `validate(String text, QContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetClass

    protected Class targetClass

### pe

    protected PropertyEditor pe

### values

    public ArrayList values

Constructor Detail

### QPropertyEditor

    public QPropertyEditor()

### QPropertyEditor

    public QPropertyEditor(String targetClass,
                           String pe)
                    throws ClassNotFoundException,
                           InstantiationException,
                           IllegalAccessException

Method Detail

### PE

    protected void PE(QContext context)
               throws QPE

### setTargetClassName

    public void setTargetClassName(String targetClassName,
                                   QContext context)
                            throws QPE

### getTargetClassName

    public String getTargetClassName()

### setPropertyEditorClassName

    public void setPropertyEditorClassName(String peClassName,
                                           QContext context)
                                    throws QPE

### getPropertyEditorClassName

    public String getPropertyEditorClassName()

### create

    public Object create(QContext context)
                  throws QPE

  Specified by:
    `create` in interface `QTargetFactory`

### isInstance

    public boolean isInstance(Object object,
                              QContext context)

  Specified by:
    `isInstance` in interface `QTargetFactory`

### getName

    public String getName(Object object)

  Specified by:
    `getName` in interface `QTargetFactory`

### validate

    public void validate(String text,
                         QContext context)
                  throws QPE

### getText

    public String getText(Object object,
                          QContext context)
                   throws QPE

  Specified by:
    `getText` in interface `QTargetFactory`

### add

    public void add(Object object,
                    String name,
                    String text,
                    QAccess access,
                    Object parent,
                    QTargetFactory parentFactory,
                    QContext context)
             throws QPE

  Specified by:
    `add` in interface `QTargetFactory`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
                                                throws QPE

  Specified by:
    `getPropertyDescriptors` in interface `QTargetFactory`

### getFields

    public Field[] getFields(QContext context)
                      throws QPE

  Specified by:
    `getFields` in interface `QTargetFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD